CMDEBUG(1)

NAME
cmdebug - Reports the status of a host Cache Manager

SYNOPSIS
cmdebug << -servers <machine >>> << [-port <IP port] >>>
    [-long] [-refcounts] [-callbacks] [-addrs] [-cache]

cmdebug << -s <machine >>> << [-p <IP port] >>> [-l] [-r] [-c]
    [-a] [-h]

DESCRIPTION
The cmdebug command displays information about the Cache Manager and client cache status on an AFS client machine. By default, it displays all locked cache entries, but other information can be requested via various options.

OPTIONS

-servers <machine>
    Names the client machine for which to display Cache Manager status. Provide the machine's IP address in dotted decimal format, its fully qualified host name (for example, fs1.abc.com), or the shortest abbreviated form of its host name that distinguishes it from other machines. Successful use of an abbreviated form depends on the availability of a name resolution service (such as the Domain Name Service or a local host table) at the time the command is issued.

-port <IP port>
    Identifies the port on which to contact the Cache Manager. By default, the standard port 7001 is used, so this option is very rarely needed.

-long
    Reports on all lock statuses and all cache entries, rather than only locked cache entries. Do not use this option with -refcounts, -callbacks, -addrs, or -cache.

-refcounts
    Reports only those cache entries with non-zero reference counts. Do not use this option with -long, -callbacks, -addrs, or -cache.

-callbacks
    Reports only those cache entries with callbacks. Do not use this option with -long, -refcounts, -addrs, or -cache.

-addrs
    Rather than showing any cache entries, displays the interfaces the Cache Manager answers on, including their netmasks and MTUs. This is useful for analyzing clients that are multihomed and identifying problems with netmasks or MTU settings. Do not use this option with -long, -refcounts, -callbacks, or -cache.

-cache
    Rather than showing any cache entries, displays the cache configuration for the client machine. The information displayed is essentially the information that can be configured via parameters to afsd. Do not use this option with -long, -refcounts, -callbacks, or -addrs.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
Displays all of the locked cache entries on client1:

    % cmdebug client1
Displays the cache configuration for client1.abc.com:

    % cmdebug client1.abc.com -cache
Displays all cache entries for client2.abc.com:

    % cmdebug client2.abc.com -long

PRIVILEGE REQUIRED
None

SEE ALSO
the afsd(8) manpage

COPYRIGHT
Copyright 2005 Russ Allbery <rra@stanford.edu>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Russ Allbery for OpenAFS.